Subject: Re: bug#7802: bug #7802: 24.0.50; Extraneous `mouse-3' event when do `double-mouse-3'

From: Stefan Monnier <[email-masked]>
Date: Sat, 08 Jan 2011 00:03:55 -0500

> Sounds to me like this "design" is just a side effect of the implementation.

That might be the case.  There is a "design" argument in favor of this
behavior, tho, which is that otherwise we'd have to wait after a click
before running its command, to check whether it was the first part of
a double-click or not.

Of course, we could try and only perform this waiting in the case where
there is a double-click binding, thus minimizing such undesirable
delays, but it still might lead to undesirable delays giving the
impression the system is somewhat unresponsive.

        Stefan

PS: Of course, the same holds for double-vs-triple clicks, tho it's
largely irrelevant.